Get detailed album view
curl --request GET \
--url https://api.rocksky.app/xrpc/app.rocksky.album.getAlbum \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rocksky.app/xrpc/app.rocksky.album.getAlbum"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rocksky.app/xrpc/app.rocksky.album.getAlbum', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"uri": "<string>",
"title": "<string>",
"artist": "<string>",
"artistUri": "<string>",
"year": 123,
"albumArt": "<string>",
"releaseDate": "<string>",
"sha256": "<string>",
"playCount": 1,
"uniqueListeners": 1,
"tags": [
"<string>"
],
"tracks": [
{
"id": "<string>",
"title": "<string>",
"artist": "<string>",
"albumArtist": "<string>",
"albumArt": "<string>",
"uri": "<string>",
"album": "<string>",
"duration": 123,
"trackNumber": 123,
"discNumber": 123,
"playCount": 1,
"uniqueListeners": 1,
"albumUri": "<string>",
"artistUri": "<string>",
"sha256": "<string>",
"mbid": "<string>",
"isrc": "<string>",
"tags": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<string>"
}app.rocksky.album
Get detailed album view
GET
/
app.rocksky.album.getAlbum
Get detailed album view
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The URI of the album to retrieve.
Response
OK
The unique identifier of the album.
The URI of the album.
The title of the album.
The artist of the album.
The URI of the album's artist.
The URL of the album art image.
The release date of the album.
The SHA256 hash of the album.
Required range:
x >= 0Required range:
x >= 0Show child attributes
Show child attributes
⌘I